[Gtk] install-dependencies doesn't install libgtk-3-dev
authorcommit-queue@webkit.org <commit-queue@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Sun, 8 Dec 2013 15:30:30 +0000 (15:30 +0000)
committercommit-queue@webkit.org <commit-queue@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Sun, 8 Dec 2013 15:30:30 +0000 (15:30 +0000)
https://bugs.webkit.org/show_bug.cgi?id=125320

Patch by Brendan Long <b.long@cablelabs.com> on 2013-12-08
Reviewed by Gustavo Noronha Silva.

* gtk/install-dependencies: Add libgtk-3-dev, libsoup2.4 and subversion

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@160285 268f45cc-cd09-0410-ab3c-d52691b4dbfc

Tools/ChangeLog
Tools/gtk/install-dependencies

index 1e0695c..1c1860f 100644 (file)
@@ -1,3 +1,12 @@
+2013-12-08  Brendan Long  <b.long@cablelabs.com>
+
+        [Gtk] install-dependencies doesn't install libgtk-3-dev
+        https://bugs.webkit.org/show_bug.cgi?id=125320
+
+        Reviewed by Gustavo Noronha Silva.
+
+        * gtk/install-dependencies: Add libgtk-3-dev, libsoup2.4 and subversion
+
 2013-12-07  Sam Weinig  <sam@webkit.org>
 
         [Cocoa] Convert a few more parts of MiniBrowser over to the Objective-C API
index f90bbbc..3f859a8 100755 (executable)
@@ -55,6 +55,7 @@ function installDependenciesWithApt {
         libgl1-mesa-glx \
         libgnutls-dev \
         libgtk2.0-dev \
+        libgtk-3-dev \
         libgudev-1.0-dev \
         libicu-dev \
         libjpeg8-dev \
@@ -65,6 +66,7 @@ function installDependenciesWithApt {
         libpulse-dev \
         librsvg2-dev \
         libsecret-1-dev \
+        libsoup2.4-dev \
         libsqlite3-dev \
         libtheora-dev \
         libtool \
@@ -116,6 +118,10 @@ function installDependenciesWithApt {
         xfonts-utils \
         xtrans-dev \
         xutils-dev
+
+    # These are dependencies necessary for using webkit-patch
+    apt-get install \
+        subversion
 }
 
 function installDependenciesWithYum {